[package]
name = "games"
version = "0.1.0"
edition = "2024"

[[example]]
name = "demo_parallax2d"
path = "examples/demos/parallax2d.rs"

[[example]]
name = "demo_parallax3d"
path = "examples/demos/parallax3d.rs"

[features]
hide_debug = []

[dependencies]
itertools = "*"
thiserror = "2.0.12"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.avian3d]
version = "0.4.1"

[dependencies.avian2d]
version = "0.4.1"

[dependencies.bevy]
version = "0.17.2"
features = ["wayland", "dynamic_linking"]

[dev-dependencies]
lipsum = "*"
rand = "*"
itertools = "*"
indoc = "*"

[build-dependencies]
walkdir = "*"
chrono = "*"
